package com.sun.org.apache.xerces.internal.jaxp.validation;

import com.sun.org.apache.xerces.internal.xni.grammars.XMLGrammarDescription;
import com.sun.org.apache.xerces.internal.xni.grammars.Grammar;
import com.sun.org.apache.xerces.internal.xni.grammars.XMLGrammarPool;

final class ReadOnlyGrammarPool implements XMLGrammarPool
{
    private final XMLGrammarPool core;
    
    public ReadOnlyGrammarPool(XMLGrammarPool pool) {
        this.core = pool;
    }
    
    @Override
    public void cacheGrammars(String grammarType, Grammar[] grammars) {
    }
    
    @Override
    public void clear() {
    }
    
    @Override
    public void lockPool() {
    }
    
    @Override
    public Grammar retrieveGrammar(XMLGrammarDescription desc) {
        return this.core.retrieveGrammar(desc);
    }
    
    @Override
    public Grammar[] retrieveInitialGrammarSet(String grammarType) {
        return this.core.retrieveInitialGrammarSet(grammarType);
    }
    
    @Override
    public void unlockPool() {
    }
}
